Subject: Re: suffisant space for U-Boot, Linux and an initrd image ? (4MB SDRAM)

From: Marco Stornelli <[email-masked]>
Date: Mon, 04 Aug 2008 15:43:06 +0200

Fabien Oriede ha scritto:
> Hi all,
> I would like to know if this is possible to port U-Boot, Linux and an initrd image on a board with 4MB of SDRAM ?
> When Linux try to boot, there is this line on the terminal :
> "Memory : 2036k available (1036k kernel code, 256k data, 80k init, 0k highmem)"
> So I have 2036k memory available for my initrd image but I don't know if this is suffisant.
> Thanks in advance.
> Regards,
> Fabien.
> 
> 
>       _____________________________________________________________________________ 
> Envoyez avec Yahoo! Mail. Une boite mail plus intelligente http://mail.yahoo.fr
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

Only 4MB of sdram? As far as I know the smallest device with Linux is 
picotux with 8MB of ram and 2MB of flash.

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838